.modal-dialog {
    display: none;
  }
  
  .modal-dialog--no-js-persistent {
    display: inline-block;
  }
  
  .js-enabled {
    .modal-dialog--no-js-persistent {
      display: none;
  
      &[open], .dialog-button {
        display: inline-block;
      }
    }
  
    .modal-dialog[open] {
      display: inline-block;
    }
  }
  
  .modal-dialog[open] {
    overflow-x: hidden;
    overflow-y: auto;
    max-height: 90vh;
    padding: 0;
    margin-bottom: 0;
    margin-top: 0;
    position: fixed;
    top: 50% !important;
    -webkit-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
    transform: translate(0, -50%);
  }
  
  @media (min-width: 641px) {
    .modal-dialog[open] {
      padding: 0;
    }
  }
  
  .modal-dialog__inner {
    padding: 20px;
  }
  
  @media (min-width: 641px) {
    .modal-dialog__inner {
      padding: 30px;
    }
  }
  
  .modal-dialog__inner__text {
    font-family: "nta", Arial, sans-serif;
    font-weight: 400;
    text-transform: none;
    font-size: 16px;
    line-height: 1.25;
    padding-top: 2px;
    padding-bottom: 8px;
    margin-bottom: 20px;
  }
  
  @media (min-width: 641px) {
    .modal-dialog__inner__text {
      font-size: 19px;
      line-height: 1.31579;
    }
  }
  
  @media (min-width: 641px) {
    .modal-dialog__inner__text {
      padding-top: 0;
      padding-bottom: 5px;
    }
  }
  
  .modal-dialog__inner__button {
    font-size: 19px;
  }
  
  .modal-dialog__inner__link {
    font-family: "nta", Arial, sans-serif;
    font-weight: 400;
    text-transform: none;
    font-size: 16px;
    line-height: 1.25;
    padding-top: 2px;
    padding-bottom: 8px;
    background: none;
    border: none;
    vertical-align: middle;
    margin-top: 20px;
  
    &:hover {
      cursor: pointer;
    }
  }
  
  @media (min-width: 641px) {
    .modal-dialog__inner__link {
      font-size: 19px;
      line-height: 1.31579;
    }
  }
  
  @media (min-width: 641px) {
    .modal-dialog__inner__link {
      padding-top: 0;
      padding-bottom: 5px;
    }
  }
  
  @media (max-width: 640px) {
    .modal-dialog__inner__link {
      text-align: center;
      display: block;
      margin-top: 25px;
    }
  }
  
  @media (min-width: 641px) {
    .modal-dialog__inner__link {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      padding: 0;
      margin: 0 0 0 30px;
    }
  }
  
  .modal-dialog__inner__block {
    position: relative;
  }
  
  .modal-dialog #dialog-title {
    margin-top: 0;
  }
  
  .dialog-is-open {
    overflow: hidden;
  }
  
  dialog {
    left: 0;
    right: 0;
    width: -moz-fit-content;
    width: -webkit-fit-content;
    width: fit-content;
    height: -moz-fit-content;
    height: -webkit-fit-content;
    height: fit-content;
    margin: auto;
    border: solid;
    padding: 1em;
    background: white;
    color: black;
    display: none;
    border: 5px solid black;
  
    + .backdrop {
      position: fixed;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      background: rgba(0, 0, 0, 0.8);
    }
  
    &[open] {
      display: block;
      box-sizing: border-box;
      margin: 0 auto;
      padding: 15px;
      width: 90%;
  
      + .backdrop, &::backdrop {
        background: rgba(0, 0, 0, 0.8);
      }
    }
  }
  
  @media (min-width: 641px) {
    dialog[open] {
      padding: 30px;
      margin: 30px auto;
      max-width: 500px;
    }
  }
  
  .tabular-numbers {
    font-family: "ntatabularnumbers", "nta", Arial, sans-serif;
  }